// Primalitatea unui numar natural
#include <iostream>
using namespace std;

bool Prim(int n); // O(sqrt(n))

int main()
{
	int x;
	cin >> x;
	
	if (Prim(x))
		cout << x << " este prim";
	else
		cout << x << " nu este prim";
	
	return 0;
}
                 
bool Prim(int n)
{
	// cazuri particulare
	if (n < 2)  return false;
	
	if (n == 2) return true;
	
	if (n % 2 == 0)
		return false;
		
	for (int d = 3; d * d <= n; d += 2)
		if (n % d == 0)
			return false;
	
	return true;
}




