/*
	Teorema funcdamentala a Artmeticii:
	"Oricare numar natural poate fi descompus in produs de factori primi"
	
	n = 2^3 * 3^0 * 4^0 * 5^0 * 7^4 * 11^0 * 1323654327^1
*/
  
#include <iostream>
using namespace std;

int fp[1000]; // sirul retine toti factorii primi DISTINCTI din descompunerea lui n
int k;        // nr de fact primi din descompunerea lui n

void DescFactPrimi(int n);

int main()
{
	int x;
	cin >> x; 
	DescFactPrimi(x);
	
	for (int i = 1; i <= k; ++i)
		cout << fp[i] << ' ';
	
	return 0;
}
                 
void DescFactPrimi(int n)
{
	int d = 2;
	int p;     // p puterea la care apare d in descomp lui n
	
	while (n > 1)
	{
		p = 0;
		while (n % d == 0)
		{
			n /= d;
			p++;
		}
		
		if (p)
			fp[++k] = d;
			
		d++;
		if (d * d > n)
			d = n;
	}
}




